# Uses of Interface
javax.swing.text.AbstractDocument.Content

Packages that use AbstractDocument.Content
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.text.html
Provides the class `HTMLEditorKit` and supporting classes for creating HTML text editors.

## Uses of AbstractDocument.Content in javax.swing.text

Classes in javax.swing.text that implement AbstractDocument.Content
Modifier and Type
Class
Description
`class`
`GapContent`
An implementation of the AbstractDocument.Content interface implemented using a gapped buffer similar to that used by emacs.
`final class`
`StringContent`
An implementation of the AbstractDocument.Content interface that is a brute force implementation that is useful for relatively small documents and/or debugging.
Methods in javax.swing.text that return AbstractDocument.Content
Modifier and Type
Method
Description
`protected final AbstractDocument.Content`
AbstractDocument.`getContent()`
Gets the content for the document.
Constructors in javax.swing.text with parameters of type AbstractDocument.Content
Modifier
Constructor
Description
`protected`
`AbstractDocument(AbstractDocument.Content data)`
Constructs a new `AbstractDocument`, wrapped around some specified content storage mechanism.
`protected`
`AbstractDocument(AbstractDocument.Content data, AbstractDocument.AttributeContext context)`
Constructs a new `AbstractDocument`, wrapped around some specified content storage mechanism.
``
`DefaultStyledDocument(AbstractDocument.Content c, StyleContext styles)`
Constructs a styled document.
``
`PlainDocument(AbstractDocument.Content c)`
Constructs a plain text document.

## Uses of AbstractDocument.Content in javax.swing.text.html

Constructors in javax.swing.text.html with parameters of type AbstractDocument.Content
Modifier
Constructor
Description
``
`HTMLDocument(AbstractDocument.Content c, StyleSheet styles)`
Constructs an HTML document with the given content storage implementation and the given style/attribute storage mechanism.